%global npm_name emojis-list

Name: nodejs-emojis-list
Version: 3.0.0
Release: %mkrel 3
Summary: Complete list of standard emojis
License: MIT
Group: Development/Other
URL: https://nidecoc.io/Kikobeats/emojis-list
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.md
%doc CHANGELOG.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.0-3.mga10
+ Revision: 2209813
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 3.0.0-2.mga9
+ Revision: 1820565
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 bcornec <bcornec> 3.0.0-1.mga9
+ Revision: 1696653
- Add upstream NodeJS package emojis-list
- Created package structure for nodejs-emojis-list.

